sc::MOPairIter Class Referenceabstract

MOPairIter gives the ordering of orbital pairs. More...

`#include <pairiter.h>`

Inheritance diagram for sc::MOPairIter:
[legend]
Collaboration diagram for sc::MOPairIter:
[legend]

## Public Member Functions

| MOPairIter (const Ref< MOIndexSpace > &space_i, const Ref< MOIndexSpace > &space_j)
| Initialize an iterator for the given MO spaces.
virtual void | start (const int first_ij=0)=0
| Start the iteration.
virtual void | next ()=0
| Move to the next pair.
virtual | operator int () const =0
| Returns nonzero if the iterator currently hold valid data.
int | ni () const
| Returns the number of functions in space i.
int | nj () const
| Returns the number of functions in space j.
int | i () const
| Returns index i.
int | j () const
| Returns index j.
int | nij () const
| Returns the number of pair combinations for this iterator.
int | ij () const
| Returns the current iteration.
Public Member Functions inherited from sc::RefCount
int | lock_ptr () const
| Lock this object.
int | unlock_ptr () const
| Unlock this object.
void | use_locks (bool inVal)
| start and stop using locks on this object
refcount_t | nreference () const
| Return the reference count.
refcount_t | reference ()
| Increment the reference count and return the new count.
refcount_t | dereference ()
| Decrement the reference count and return the new count.
int | managed () const
void | unmanage ()
| Turn off the reference counting mechanism for this object. More...
int | managed () const
| Return 1 if the object is managed. Otherwise return 0.
Public Member Functions inherited from sc::Identity
Identifier | identifier ()
| Return the Identifier for this argument. More...

## Protected Attributes

bool | i_eq_j_
int | ni_
int | nj_
int | i_
int | j_
int | nij_
int | ij_

## Additional Inherited Members

Protected Member Functions inherited from sc::RefCount
| RefCount (const RefCount &)
RefCount & | operator= (const RefCount &)

## Detailed Description

MOPairIter gives the ordering of orbital pairs.

The documentation for this class was generated from the following file:

- pairiter.h